
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>WPF中的文字修饰：上、中、下划线与基线 / iVAN</title>

    <meta name="description" content="WPF中的文字修饰：上、中、下划线与基线 我们知道,文字的修饰包括:空心字.立体字.划线字.阴影字.加粗.倾斜等.这里只说划线字的修饰 方式,按划线的位置,我们可将之分为:上划线.中划线.基线与下划线.如图: 从上至下,分别 为上划线(Overline),中划线(StrikeThrough),基线(Baseline)和下划线(Underline). 如何实现? (1)XAML代码: &lt;Page xmlns=&quot;http://schemas.microsoft.com/winfx/2006/xaml/presentation ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">WPF中的文字修饰：上、中、下划线与基线</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>我们知道，文字的修饰包括：空心字、立体字、划线字、阴影字、加粗、倾斜等。这里只说划线字的修饰 方式，按划线的位置，我们可将之分为：上划线、中划线、基线与下划线。如图：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMFQwMTYzMTYyLTAuZ2lm.jpg"></p>
<p>从上至下，分别 为上划线（Overline),中划线(StrikeThrough),基线(Baseline)和下划线(Underline)。</p>
<p>如何实现？</p>
<p>(1)XAML代码：</p>
<pre>
&lt;Page 

xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation" 

xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml" &gt;
&lt;TextBlock TextDecorations="Strikethrough" FontSize="72" 

FontFamily="Arial"&gt;A&lt;/TextBlock&gt;
&lt;/Page&gt;</pre>
<p>这里 TextDecorations 属性可以设置为：OverLine, Strikethrough, Baseline, Underline 或None,如果没有设置 TextDecorations 属性，则默认为 None,即不带划线修饰。</p>
<p>(2)使用C#代码：</p>
<p>private void SetDefaultStrikethrough()</p>
<p>{</p>
<p>  textBlock1.TextDecorations = TextDecorations.Strikethrough;</p>
<p>}</p>
<p>(为了简洁，这里只列出相关的关 键代码，其他代码未用 C#列出。textBlock1 为 TextBlock 的名称，在 XAML 中使用 x:Name="textBlock1"形式标记)</p>
<p>如果要更复杂点的效果，比如需要设置划线的颜色、线粗 等，如下图：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMFQwMTYzMjU4LTEucG5n.jpg"></p>
<p>如何制作类似效果呢？</p>
<p>方法是： 设置 TextBlock 的 TextDecorations 属性，再对 TextDecoration 的 Pen 属性进行设置。</p>
<p>如下 XAML 代码：</p>
<pre>
&lt;Page xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation" 

xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml" &gt;
&lt;Canvas&gt;
&lt;TextBlock FontSize="84" FontFamily="Arial Black" Margin="0,0"&gt;
&lt;TextBlock.TextDecorations&gt;
&lt;TextDecoration PenOffset="10" PenOffsetUnit="Pixel" PenThicknessUnit="Pixel"&gt;
 &lt;TextDecoration.Pen&gt;
          &lt;Pen Thickness="5"&gt;
            &lt;Pen.Brush&gt;
              &lt;LinearGradientBrush Opacity="0.8" StartPoint="0,0.5"  EndPoint="1,0.5"&gt;
                &lt;LinearGradientBrush.GradientStops&gt;
                  &lt;GradientStop Color="Yellow" Offset="0" /&gt;
                  &lt;GradientStop Color="Red" Offset="1" /&gt;
                &lt;/LinearGradientBrush.GradientStops&gt;
              &lt;/LinearGradientBrush&gt;
            &lt;/Pen.Brush&gt;
            &lt;Pen.DashStyle&gt;
              &lt;DashStyle Dashes="1,2,3"/&gt;
            &lt;/Pen.DashStyle&gt;
          &lt;/Pen&gt;
        &lt;/TextDecoration.Pen&gt;
&lt;/TextDecoration&gt;
&lt;/TextBlock.TextDecorations&gt;
GOOD
&lt;/TextBlock&gt;
&lt;/Canvas&gt;
&lt;/Page&gt;</pre>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索c#<br />
                    ，                代码<br />
                    ，                属性<br />
                    ，                下划线<br />
                                    TextBlock<br />
                                    ，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 09:40:59</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%b1%9e%e6%80%a7/" title="属性">属性</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/%e4%b8%8b%e5%88%92%e7%ba%bf/" title="下划线">下划线</a>, <a href="https://www.iamivan.net/tag/textblock/" title="TextBlock">TextBlock</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>WPF中的文字修饰：上、中、下划线与基线的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrqPVxb.html" rel="bookmark">求C&num;   Richtextbox中 对文本加粗 斜体 下划线的代码 类似Word一样</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 求C# Richtextbox中 对文本加粗 斜体 下划线的代码 类似Word一样 求大神给代码,最好像word中一样的功能,没有的话,类似的也可以,用C#写,举其中一个例子也行,不需要全部的 解决方案 http://www.cnblogs.com/jingmoxukong/articles/2118114.html 这个博客说的很清楚 你要的功能全部都有了 解决方案二: SelectionColor之类的 解决方案三: SelectionColor之类的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk05Qwz.html" rel="bookmark">Android中EditText如何去除边框添加下划线&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				废话不多说了,直接给大家贴代码了. &lt;span style=&quot;font-family: Arial, Helvetica, sans-serif;&quot;&gt;&lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; &lt;/span&gt; &lt;LinearLayout xmlns:android=&quot;http://schemas.android.com/apk/res/android&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mg0jrBp.html" rel="bookmark">Android中EditText如何去除边框添加下划线</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				废话不多说了,直接给大家贴代码了. &lt;span style=&quot;font-family: Arial, Helvetica, sans-serif;&quot;&gt;&lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; &lt;/span&gt; &lt;LinearLayout xmlns:android=&quot;http://schemas.android.com/apk/res/android&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLOkXZM.html" rel="bookmark">WPS文字巧秒定制下划线的方法汇总</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  在WPS中为指定的字符添加下划线是件很简单的事情.只要选中相应的字符,然后点击&quot;格式&quot;工具栏中的&quot;下划线&quot;按钮或者此按钮右侧的小三角形,在弹出的列表中指定下划线线型及其颜色.我们也可以点击菜单命令&quot;格式→字体&quot;,然后在打开的&quot;字体&quot;对话框&quot;字体&quot;选项卡的&quot;下划线线型&quot;和&quot;下划线颜色&quot;下拉列表中指定下划线的线型及颜色,如图1所示.这种方法虽然很简单,但是使用中我们会			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjj1y6b.html" rel="bookmark">WPF文字修饰&mdash;&mdash;上、中、下划线与基线</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				       我们知道,文字的修饰包括:空心字.立体字.划线字.阴影字.加粗.倾斜等.这里只说划线字的修饰方式,按划线的位置,我们可将之分为:上划线.中划线.基线与下划线.如图: 从上至下,分别为上划线(Overline),中划线(StrikeThrough),基线(Baseline)和下划线(Underline). 如何实现? (1)XAML代码: &lt;Page xmlns=&quot;http://schemas.microsoft.com/winfx/2006/xaml/presentation			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZEVy4p.html" rel="bookmark">【我的Android进阶之旅】如何隐藏Android中EditText控件的默认下划线</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android EditText控件是经常使用的控件,但是有时候我们并不需要它的一些默认的属性,比如说下划线,因为有时候这样的默认下划线看起来特别怪异,和其他控件在一起搭配的时候不协调,因此有时候就需要去掉默认的下划线. 下面先看看默认的效果. 代码如下 &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; &lt;RelativeLayout xmlns:android=&quot;http://schemas.android.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJ7ek7b.html" rel="bookmark">如何在Word 2013中为文字添加下划线</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Word2013文档中,用户可以为文本添加多种样式和各种颜色的下划线,操作步骤如下所述: 第1步,打开Word2013文档窗口,选中需要添加下划线的文本块.在&quot;开始&quot;功能区的&quot;字体&quot;分组中单击&quot;下划线&quot;下拉三角按钮,如图2013080127所示. 图2013080127 单击&quot;下划线&quot;下拉三角按钮 第2步,在打开的下划线列表中单击其中一种样式的下划线即可.如果需要设置下划线的颜色,可以将鼠标指向&quot;下划线颜色&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRwXDdp.html" rel="bookmark">怎样在Word2013中为文字添加下划线</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  第1步,打开Word2013文档窗口,选中需要添加下划线的文本块.在&quot;开始&quot;功能区的&quot;字体&quot;分组中单击&quot;下划线&quot;下拉三角按钮. 第2步,在打开的下划线列表中单击其中一种样式的下划线即可.如果需要设置下划线的颜色,可以将鼠标指向&quot;下划线颜色&quot;选项,在打开的颜色面板中选择需要的颜色. Word Home提示:如果默认的下划线列表中没有所需的下划线样式,可以单击&quot;其他下划线&quot;命令,打开&quot;字体&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0bo0N3M.html" rel="bookmark">用户界面讨论：网页中超链接的下划线</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于超链接中的下划线这个及细节的问题,想必大家都有过讨论和思考,最重要的原则即:让使用者清楚的区分超链接文本和其他文本形式,并潜意识知道可以点击.但对于是否可以潜意识知道可以点击,还是有争议的,不同的人,不同的环境会有不同的见解. 不妨分几个场景讨论一下: 1. 导航区域,潜意识我会去点击.   即便有下划线也是个&quot;古老形式&quot;的摆设,所以一般没有下划线:好的设计不仅满足点击,还满足视觉的层级关系. 2. 整页全是链接,下划线成了可有可无的表现. 象新浪.搜狐首页都是可以点击的,所以下划			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnn0rp.html" rel="bookmark" class="title">Photoshop打造唯美的橙绿色草地美女图片</a>
					<div>
						素材图片主色为黄绿色,调色的时候需要把绿色转为比较柔和的黄绿色,黄色转为橙红色,然后给图片局部增加一点高光,再美化一下人物即可. 原图 最终效果 [1] [2] [3] [4] [5] [6]  下一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPoVmM.html" rel="bookmark" class="title">钟智鑫：对百度降权的五点疑问</a>
					<div>
						经常在群里还有论坛,都能看到很多朋友都在问关于百度降权的问题,能够回答的站长也都是根据自己多年的经验得出来的结论,并不是百度官方的回答,我也见到有很多问题官方都没有做出回答,但是在网络上却已经判定是正 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91qOKM.html" rel="bookmark" class="title">Apache下域名虚拟主机在个人主页目录上实现过程</a>
					<div>
						实验背景: Contoso目前是提供虚拟主机的公司.xiaonuo公司和dreamfire公司想在Contoso上申请虚拟主机为各自公司提供web服务.要求申请的域名分别为www.xiaonuo.co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NlLwz.html" rel="bookmark" class="title">（史帝芬）osworkflow入门教程学习体会</a>
					<div>
						可以这么说史帝芬的http://my.so-net.net.tw/idealist/OSWorkflow/osworkflow资料是目前华文osworkflow资料中最好的一份入门教程.去面的时候在m ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnx5Kkb.html" rel="bookmark" class="title">Dreamweaver网页制作的几个常见问题解答</a>
					<div>
						1)在打开一个页面时,同时打开一个小窗口,用 Dreamweaver 能够实现吗? 能,不用写一行代码.在&quot; behaviors &quot;面板使用内置的&quot; Open Brows ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62joXM.html" rel="bookmark" class="title">用isee自制水墨画</a>
					<div>
						来张效果图: 以下是制作步骤: 1.打开原图,我选的是小金鱼 2.一键---智能色彩,提升一下色彩层次(水墨画最需要的就是着墨的层次感) 3.一键---黑白照片 4.一键---人像美容(今天来给小金鱼 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4ERjp.html" rel="bookmark" class="title">Linux下必须知道的11个网络命令</a>
					<div>
						  这篇文章收集了久经考验靠谱的命令,也收集了几个比较新的命令.多数命令都可以在图形桌面执行,即使是没什么终端使用经验的Linux用户也会常常执行命令来使用ping或是其它的网络诊断工具. 1.cur ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNwWZb.html" rel="bookmark" class="title">Win7如何清理和新建自定义文件夹</a>
					<div>
						1.如何清理Win7自动切换壁纸功能的自定义文件夹-- 经过一时的摸索,我终于找到了删除这些自定义文件夹的方法,那就是修改注册表. 运行regedit打开注册表-- 电脑常识 定位到HKEY_CURR ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrlqZp.html" rel="bookmark" class="title">Word2007中插入CAD图形并裁剪的方法</a>
					<div>
						问题描述: 在AUTOCAD中随意绘图,复制粘贴至Word2007,发现&quot;图片格式&quot;选项卡未出现,故无法直接裁剪. ================================ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKYXdM.html" rel="bookmark" class="title">js实现获取焦点后光标在字符串后</a>
					<div>
						代码如下: var t=$(&quot;#&quot;+id).val(); $(&quot;#&quot;+id).val(&quot;&quot;).focus().val(t); //其原理就是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0W60Db.html" rel="bookmark" class="title">巧用PS后期打造打散碎裂火焰特技效果</a>
					<div>
						  巧用PS后期打造打散碎裂火焰特技效果,对这方面感兴趣的童鞋们,值得借鉴学习! 分类: PS图片处理 ps后期处理教程					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVVx5b.html" rel="bookmark" class="title">java学生信息管理系统在删除信息的时候遇到了问题，代码如下，求大神。</a>
					<div>
						问题描述 java学生信息管理系统在删除信息的时候遇到了问题,代码如下,求大神. 这是代码 主类 public class Main { public static void main(String[ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQdeOp.html" rel="bookmark" class="title">c-对于fgets和fgetws的疑问？</a>
					<div>
						问题描述 对于fgets和fgetws的疑问? 项目中需要解析hexs19等文件格式,因为整体项目都是采用Unicode所以先用了fgetws来读取文件中的记录,奇怪的是用fgetws竟然在读取文件的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6exwz.html" rel="bookmark" class="title">旋转 文字添加-android 自定义edittext 拖动缩放旋转</a>
					<div>
						问题描述 android 自定义edittext 拖动缩放旋转 最近在做一个拼图的项目,要求在一张背景图上添加文字,文字可编辑如修改颜色.样式.字体等,也可对文字的位置进行修改,实现拖动.旋转.缩放等 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqA45OM.html" rel="bookmark" class="title">gre协议-pptp连接806错误，GRE协议相关问题</a>
					<div>
						问题描述 pptp连接806错误,GRE协议相关问题 在内网的win7上建立vpn服务器,1723端口映射至外网的1723端口,内网上的机器可以连接至vpn服务器,但是外网上的计算机连接的时候报806 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrA38M.html" rel="bookmark" class="title">中值滤波-利用中值空间滤波去除波形噪声</a>
					<div>
						问题描述 利用中值空间滤波去除波形噪声 我们做的大作业,要求改进算子,去除波形噪声,我不知道从哪改,也不知道波形噪声是什么吗,百度不到,算子是在源码改么 有人有代码么					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRdWxb.html" rel="bookmark" class="title">xcode-Xcode更新7&period;3之后出现</a>
					<div>
						问题描述 Xcode更新7.3之后出现 Xcode更新7.3之后打开下载的程序就出现这个警告框.怎么把它给干掉. 解决方案 直接open 下次还会跳吗? 解决方案二: 下次就不会弹出这个警告框了,只有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRyWEb.html" rel="bookmark" class="title">ORA-01157&colon; cannot identify&sol;lock data file n 故障一例</a>
					<div>
						    最近在使用swingbench的时候碰到了ORA-01157故障,下面是其具体描述与解决. 1.故障现象 --查询视图dba_data_files时出现ORA-01157故障 SQL&gt;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2RA6rb.html" rel="bookmark" class="title">Android开发6&mdash;&mdash;布局中的wrap&lowbar;content和fill&lowbar;parent以及match&lowbar;parent</a>
					<div>
						  一.言简意赅 fill_parent 是让控件宽或者高占全屏 wrap_content是让控件的高或宽仅仅把控件里的内容包裹住而不是全屏     二.分别来看  1 fill_parent 设置一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL73Y5M.html" rel="bookmark" class="title">js-jZebra 1&period;3&period;5怎么使用</a>
					<div>
						问题描述 jZebra 1.3.5怎么使用 jZebra 1.3.5.现在要做打印功能,就是浏览器调用Applet,但是这个不知道怎么用 解决方案 google下用法 解决方案二: 1.3.5 可移植 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKQRgb.html" rel="bookmark" class="title">互联网界美丽的女CEO们</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 1 51wan CEO 刘阳 史玉 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDeN5Xb.html" rel="bookmark" class="title">全球私有云的中国挑战者来了</a>
					<div>
						&quot;第一&quot;.&quot;唯一&quot;这些形容词对于华为来说可能是司空见惯了.不过,在近日公布的Forrester全球私有云软件套件wave报告中,华为首次入围并被评为Strong ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBAqqz.html" rel="bookmark" class="title">2016全球十大主流ERP厂商&OpenCurlyDoubleQuote;新鲜出炉&rdquo;！</a>
					<div>
						企业资源计划软件是企业投资的重头,几乎每个企业都要依赖ERP.传统的ERP基本都需要一年以上的实施时间.一般的ERP产品会涉及会计核算和财务管理.产品规划.库存管理.生产制造.分销.定价.运输.支付. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwoO3M.html" rel="bookmark" class="title">c语言-用C语言证明费波拉契数列中Fn&plus;1&sol;Fn等于黄金分割。要求有输入输出</a>
					<div>
						问题描述 用C语言证明费波拉契数列中Fn+1/Fn等于黄金分割.要求有输入输出 用C语言证明费波拉契数列中Fn+1/Fn等于黄金分割.要求有输入输出 解决方案 int foo(int n) { if  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQodnp.html" rel="bookmark" class="title">&lbrack;LeetCode&rsqb;109&period;Convert Sorted List to Binary Search Tree</a>
					<div>
						[题目] Given a singly linked list where elements are sorted in ascending order, convert it to a height ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeowOOM.html" rel="bookmark" class="title">站在巨人的肩膀上&mdash;&mdash;系统化连接</a>
					<div>
						1 1跟2的关系被我们争论.关注过很久.我们很多时候总倾向于直接认为1 1&gt;2,这可能也是这个命题之所以能够流行的缘故.但在通常情况下1 1=2,甚至1 1&lt; 2.1 1的结果到底是什么? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwXVnM.html" rel="bookmark" class="title">eclipse-融云web开发 问题导入工程</a>
					<div>
						问题描述 融云web开发 问题导入工程 谁用过融云开发过web ,怎么吧项目导入Eclipse中,给点参考文档, 解决方案 web开发页面刷新问题解决Java中Web开发的中文乱码问题web开发小问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNk8GM.html" rel="bookmark" class="title">汉鼎亚太徐大麟：大陆LP不成熟 好项目要烹饪</a>
					<div>
						&quot;一家优秀的PE,最重要的工作是为他的投资人赚钱,而不是频繁地去花钱投资.&quot;徐大麟说.相较于频频亮相的诸多创投机构,徐大麟和他的汉鼎亚太显得格外低调,然而他从未停止过工作的脚步.如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk042rz.html" rel="bookmark" class="title">javaee&period;jar 包有什么用？什么时候用？</a>
					<div>
						问题描述 WebApplicationContext wac = WebApplicationContextUtils.getRequiredWebApplicationContext(Servlet ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWPo5z.html" rel="bookmark" class="title">Asp&period;net回调技术Callback学习笔记&lowbar;实用技巧</a>
					<div>
						.aspx: &lt;%@ Page Language=&quot;C#&quot; AutoEventWireup=&quot;true&quot; CodeFile=&quot;Default.a ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
